/*
 * SimpleDataSource.java
 *
 * Created on 7 maggio 2004, 0.19
 */
import dori.jasper.engine.JRDataSource;
import dori.jasper.engine.JRField;

/**
 *
 * @author  Administrator
 */
public class SimpleDataSource  implements JRDataSource {
    
    /** Creates a new instance of SimpleDataSource */
    public SimpleDataSource() {
    }

  private int index = -1;
 

  public boolean next() throws dori.jasper.engine.JRException{
    index ++;
    if (index >= 2)
        return false;
    else
        return true;
  }
 
  public Object getFieldValue(JRField pField) throws dori.jasper.engine.JRException
  {
    return "CIAO";
  }
  
 static public JRDataSource getDataSource()
  {
      return new SimpleDataSource();
  }
}


